Bug 2113731 - sord: FTBFS in Fedora rawhide/f37
Summary: sord: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sord
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brendan Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F37FTBFS F38FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-02 00:17 UTC by Fedora Release Engineering
Modified: 2023-02-12 00:37 UTC (History)
3 users (show)

Fixed In Version: sord-0.16.10-3.fc37
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-02-12 00:37:51 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2022-08-02 00:17 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2022-08-02 00:17 UTC, Fedora Release Engineering
no flags Details
state.log (957 bytes, text/plain)
2022-08-02 00:17 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-08-02 00:17:12 UTC
sord failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89920987


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix sord at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
sord will be orphaned. Before branching of Fedora 38,
sord will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-02 00:17:14 UTC
Created attachment 1902610 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2022-08-02 00:17:16 UTC
Created attachment 1902611 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-02 00:17:17 UTC
Created attachment 1902612 [details]
state.log

Comment 4 Ben Cotton 2022-08-09 13:34:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Fedora Update System 2023-02-05 21:47:00 UTC
FEDORA-2023-8ab14b7c07 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-8ab14b7c07

Comment 6 Fedora Update System 2023-02-06 02:39:06 UTC
FEDORA-2023-8ab14b7c07 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-8ab14b7c07`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-8ab14b7c07

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-02-12 00:37:51 UTC
FEDORA-2023-8ab14b7c07 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.